import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.Serializable;


public class TimesSaved implements Serializable {
	private static final long serialVersionUID = -8147682504643926923L;
	public Integer times;
	public String text;
	public TimesSaved(String text) {
		times = 0;
		this.text = text;
	}
	private void writeObject(ObjectOutputStream o) throws IOException {
		times += 1;
		o.defaultWriteObject();
	}
	private void readObject(ObjectInputStream i) throws IOException, ClassNotFoundException {
		i.defaultReadObject();
	}
}
